<?php if (!defined('APPLICATION')) exit();
/*
Copyright 2008, 2009 Vanilla Forums Inc.
This file is part of Garden.
Garden is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
Garden is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with Garden.  If not, see <http://www.gnu.org/licenses/>.
Contact Vanilla Forums Inc. at support [at] vanillaforums [dot] com
*/


/**
 * English version of object possession. (ie. "Bob's thing" VS "Jess' thing").
 *
 * @param string The word to format.
 */
if (!function_exists('FormatPossessive')) {
   function FormatPossessive($Word) {
      return substr($Word, -1) == 's' ? $Word."'" : $Word."'s";
   }
}

if (!function_exists('Plural')) {
   function Plural($Number, $Singular, $Plural) {
      return T($Number == 1 ? $Singular : $Plural);
   }
}


$Definition['Locale'] = 'de-DE';

// THESE ARE RELATED TO VALIDATION FUNCTIONS IN /garden/library/core/validation.functions.php
$Definition['ValidateRegex'] = '%s scheint nicht im richtigen Format vorzuliegen.';
$Definition['ValidateRequired'] = '%s ist erforderlich.';
$Definition['ValidateRequiredArray'] = 'Du musst mindestens ein %s auswählen.';
$Definition['ValidateEmail'] = '%s scheint ungültig zu sein.';
$Definition['ValidateDate'] = '%s ist kein gültiges Datum.';
$Definition['ValidateInteger'] = '%s ist keine gültige Ganzzahl.';
$Definition['ValidateBoolean'] = '%s ist keine gültige Boolean-Variable.';
$Definition['ValidateDecimal'] = '%s ist keine gültige Dezimalzahl.';
$Definition['ValidateTime'] = '%s ist keine gültige Uhrzeit.';
$Definition['ValidateTimestamp'] = '%s ist kein gültiger Zeitstempel.';
$Definition['ValidateLength'] = '%1$s ist %2$s Zeichen zu lang.';
$Definition['ValidateEnum'] = '%s ist ungültig.';
$Definition['ValidateOneOrMoreArrayItemRequired'] = 'Du musst mindestens ein %s auswählen.';
$Definition['ValidateConnection'] = 'Die von dir gewählten Parameter für die Datenbankverbindung sind fehlerhaft. Die Datenbank meldet folgende Fehler: %s';
$Definition['ValidateMinimumAge'] = 'Du musst mindestens 16 Jahre alt sein, um fortzufahren.';
$Definition['ValidateMatch'] = 'Die %s Felder stimmen nicht überein.';

$Definition['ErrorPermission'] = 'Sorry, Zugang verweigert.';
$Definition['ErrorCredentials'] = 'Bitte überprüfen Sie E-Mail Adresse oder Passwort, bzw. registrieren Sie sich!';
$Definition['ErrorPluginVersionMatch'] = 'Das aktivierte {0} Plugin (version {1}) unterstützt folgende Mindestanforderungen nicht: ({2}).';
$Definition['ErrorPluginDisableRequired'] = 'Du kannst das {0} Plugin nicht deaktivieren, weil das {1} Plugin dieses erfordert.';
$Definition['ErrorPluginEnableRequired'] = 'Dieses Plugin erfordert, dass das Plugin {0} aktiviert ist, bevor es selbst aktiviert wird.';
$Definition['ErrorTermsOfService'] = 'Du musst die AGB akzeptieren.';
$Definition['ErrorRecordNotFound'] = 'Der angeforderte Eintrag wurde nicht gefunden.';

$Definition['PageDetailsMessageFull'] = '%1$s bis %2$s von %3$s';
$Definition['PageDetailsMessage'] = '%1$s bis %2$s';
$Definition['RoleID'] = 'Rolle';
$Definition['Garden.Registration.DefaultRoles'] = 'default role';

$Definition['EmailInvitation'] = 'Hallo!

%1$s hat dich zum Forum [%2$s] eingeladen. Wenn du dem Forum beitreten willst, klick einfach auf den Link:

  %3$s

Einen schönen Tag noch!';
$Definition['EmailMembershipApproved'] = 'Hallo %1$s,

Du hast einen Account angefordert. Klicke bitte zur Bestätigung auf den folgenden Link:

  %2$s
  
Einen schönen Tag noch!';
$Definition['EmailWelcome'] = 'Hallo %1$s,

%2$s hat für dich einen Account im Forum [%3$s] erstellt. Deine Login-Daten sind:

  Email: %6$s
  Passwort: %5$s
  Url: %4$s

Einen schönen Tag noch!';
$Definition['EmailPassword'] = 'Hallo %1$s,

%2$s hat dein Passwort im Forum [%3$s] zurückgesetzt. Deine neuen Login-Daten lauten:

  Email: %6$s
  Passwort: %5$s
  Url: %4$s

Einen schönen Tag noch!';
$Definition['PasswordRequest'] = 'Hallo %1$s,

Jemand hat angefragt, dein Passwort im Forum [%2$s] zurückzusetzten. Um dein Passwort zurückzusetzten, klicke auf den folgenden Link:

  %3$s

Fals du diese E-Mail nicht angefordert hast, ignoriere sie einfach.';
$Definition['EmailNotification'] = '%1$s

Folge dem folgenden Link und erlebe es selbst:
%2$s

Einen schönen Tag noch!';
$Definition['EmailStoryNotification'] = '%1$s

"%3$s"

Folge dem folgenden Link und erlebe es selbst:
%2$s

Einen schönen Tag noch!';

//////////////////////////////
// Dashboard Help Infos
// Attention: These values get overridden by the values in /conf/locale.php
$Definition['PluginHelp'] = 'Plugins erweitern dein Forum um neue Funktionen.<br />Sofern du ein Plugin im Ordner %s abgelegt hast, kannst du es hier (de-)aktivieren';
$Definition['ApplicationHelp'] = "Apps erweitern dein Forum um eine ganze Fülle an Funktionen auf einmal.<br />Sofern du eine App im Ordner %s abgelegt hast, kannst du sie hier (de-)aktivieren.";
$Definition['ThemeHelp'] = 'Themes verändern das Design deines Forums.<br />Sofern du ein Theme im Ordner %s abgelegt hast, kannst du es hier auswählen.';
$Definition['AddonProblems'] = ''; // no value; the display of 'AddonProblems' is suppressed ("regular" expression is below)
// $Definition['AddonProblems'] = '<h2>Probleme?</h2><p>Wenn dein Forum aufgrund einer Erweiterung gecrasht hat, kannst du die Erweiterung durch manuelles Editieren der folgenden Datei verändern:</p>%s';

//////////////////////////////
// Time Format - http://php.net/manual/en/function.strftime.php
$Definition['Date.DefaultFormat'] = '%d. %B %Y';
$Definition['Date.DefaultDayFormat'] = '%d. %B';
$Definition['Date.DefaultYearFormat'] = '%B %Y';
$Definition['Date.DefaultTimeFormat'] = '%H:%M';